1. Cashout
Brasil Cash Gateway
main
  • main
  • v3
  • Autenticação
    • Recebendo um token de acesso
      POST
  • Conta
    • Dados da conta
      GET
    • Listar transactions
      GET
    • Visualizar saldo na conta
      GET
  • Transferências
    • Transferência Interna (P2P)
      POST
  • PIX
    • Cashin
      • Criando um QRCode PIX
      • Static QRCODE
      • Detalhe de um QRCode
      • Inativando um QRCode
    • Cashout
      • Overview
      • Iniciando PIX Chave
        POST
      • Lendo dados QRCode
        POST
      • Iniciando PIX QRCODE
        POST
      • Iniciando PIX Manual
        POST
      • Confirmando PIX
        PUT
      • Listando Pagamentos de PIX
        GET
      • Detalhe de um Pagamento PIX
        GET
    • Dict
      • Listing Dict
      • Creating PIX KEY
      • Cancel PIX key
  • Esquemas
    • PIX
      • ReceiverPayer
      • Pix Initiate
      • Pix Consulta
      • Paginação
    • ApplicationError
  1. Cashout

Lendo dados QRCode

POST
/v2/Pix/payments/qrcode/read
Cria uma intenção de pagamento PIX a partir de um QR Code estático ou dinâmico.

Requisição

Authorization
Forneça seu token bearer no cabeçalho
Authorization
ao fazer requisições para recursos protegidos.
Exemplo:
Authorization: Bearer ********************
Parâmetros Bodyapplication/json

Examples

Respostas

🟢200
application/json
Bodyapplication/json

🟠400
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v2/Pix/payments/qrcode/read' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "qr_code": "00020126580014BR.GOV.BCB.PIX013665b933f8-2d92-495a-b9aa-2186e3160d4c52040000530398654045.805802BR5917BRASILCASH6009SAO PAULO62140510GBrP2xHVhg63046F04",
    "external_id": "test_bc"
}'
Response Response Example
200 - Exemplo Dinâmico
{
    "qrcodeType": "dynamic",
    "amount": 12,
    "amountEditable": false,
    "txId": "f41fa6cc72f440b69df481ed97aadc",
    "receiver": {
        "pixKey": "langelo@brasilcash.com.br",
        "pixKeyType": "EMAIL",
        "bankCode": "30507541",
        "branch": "1",
        "accountNumber": "9508",
        "accountType": "ContaDeposito",
        "cpfCnpj": "55088110000149",
        "holderName": "LEONARDO DE ANGELO CONSULTORIA"
    },
    "staticInfo": null
}
Modificado em 2026-10-16 20:53:35
Página anterior
Iniciando PIX Chave
Próxima página
Iniciando PIX QRCODE
Built with